[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# DayOfTheMonth

Extract the day (of month) part of a DateTime value

## Declaration

Source position: dateutil.inc line 191

`function DayOfTheMonth(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Datetime value to extract day from.

## Function result

Day in the month

## Description

DayOfTheMonth returns the number of days that have passed since the start of the month till the moment indicated by AValue. This is a one-based number, i.e. the first day of the month will return 1.

For an example, see the WeekOfTheMonth function.

## See also

DayOfTheYear |  | Extracts the day of the year from a TDateTime value
WeekOfTheMonth |  | Extract the week of the month (and optionally month and year) from a DateTime value
HourOfTheMonth |  | Calculate the number of hours passed since the start of the month.
MinuteOfTheMonth |  | Calculate number of minutes elapsed since the start of the month.
SecondOfTheMonth |  | Calculate number of seconds elapsed since the start of the month.
MilliSecondOfTheMonth |  | Calculate number of milliseconds elapsed since the start of the month.

Documentation generated on: Feb 26 2014